$(function () {
    $(document).on('click', '.deps', function () {
        onSelect(this);
    });
    $(document).on('click', '.hTheme', function () {
        onSelect(this);
    });
    $('.copyright').text('© ' + (new Date()).getFullYear());
});
//подсветка селекта в форме отправке
function onSelect(that) {
    if ($(that).val() + '' == '0') {
        $(that).css({ 'color': '#a9a9a9' });
    } else {
        $(that).css({ 'color': '#000' });
    }    
};

function getHelpWnd(dep_name) {
    if ($('.helpForm').length == 0) {
        $.ajax({
            url: '/Helpdesk/GetForm',
            type: 'post',
            dataType: 'html',
            async: true,
            data: {
                dep_name: dep_name
            },
            success: function (data) {
                $('body').append(data);
                $('body').scrollTop(0);
            },
            complete: function () {
                stop_wait();
            },
            beforeSend: function () {
                start_wait();
            }
        });
    }
};
function close_help_wnd() {
    $('.helpForm').remove();
};
function send_feedback() {
    var errMess = '';
    $('.ErrMess').html('');
    $('.wrongDataField').removeClass('wrongDataField');

    var theme = $('.hTheme').val();
    var dep = $('.deps').val();
    var fio = $('.fio').val();
    var mail = $('.mail').val();
    var phone = $('.phone').val();
    var c_theme = $('.theme').val();
    var message = $('.hText').val();
    var captcha = $('#captcha').val();

    fio = fio.trim().replace(/  +/g, ' ');

    var arrf = fio.split(' ');

    if (theme == 0) {
        $('.hTheme').addClass('wrongDataField');
        errMess += '<br/>Выберите тему раздела';
    }

    if (dep == 0) {
        $('.deps').addClass('wrongDataField');
        errMess += '<br/>Выберите департамент';
    }

    if (!validateEmail(mail)) {
        $('.mail').addClass('wrongDataField');
        errMess += '<br/>Не верно указан электнный адрес почты';
    }

    if (phone.trim() == '') {
        $('.phone').addClass('wrongDataField');
        errMess += '<br/>Не указан телефон';
    }

    if (c_theme.trim() == '') {
        $('.theme').addClass('wrongDataField');
        errMess += '<br/>Не указана тема';
    }

    if (message.trim() == '') {
        $('.hText').addClass('wrongDataField');
        errMess += '<br/>Не указано сообщение';
    }

    if (arrf.length < 3) {
        $('.fio').addClass('wrongDataField');
        errMess += '<br/>Не верно заполено поле Ф.И.О.';        
    }

    if (!CheckCaptcha()) {
        $('#captcha').addClass('wrongDataField');
        errMess += '<br/>Не верно введены цифры с картинки';
    }

    if (errMess != '') {
        $('.ErrMess').html('<b>При отправке возникли ошибки:</b>' + errMess);
    } else {
        $.ajax({
            url: '/Helpdesk/SendFeedBack',
            type: 'post',
            dataType: 'json',
            async: true,
            data: {
                theme: theme,
                dep: dep,
                fio: fio,
                mail: mail,
                phone: phone,
                c_theme: c_theme,
                message: message,
                captcha: captcha
            },
            success: function (data) {
                close_help_wnd();
                alert("Ваше обращение отправлено");
            },
            complete: function () {
                stop_wait();               
            },
            beforeSend: function () {
                start_wait();
            }
        });
    }
};
    function validateEmail(email) {
        var re = /^(([^<>()[\]\\.,;:\s@\"]+(\.[^<>()[\]\\.,;:\s@\"]+)*)|(\".+\"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        return re.test(email);
    };
function CheckCaptcha() {
    var captcha = $('#captcha').val();
    var is_valid = false;
    $.ajax({
        url: '/Helpdesk/CheckCaptcha',
        type: 'post',
        dataType: 'json',
        async: false,
        data: {
            captcha: captcha
        },
        success: function (data) {
            is_valid = data.is_valid;
        }
    });
    return is_valid;
};
